use serde::Serialize;

#[derive(Serialize)]
pub struct User {
    pub id: uuid::Uuid,
    pub email: String,
    pub admin: bool,
}

use crate::database::model::User as DbUser;
impl From<DbUser> for User {
    fn from(db_user: DbUser) -> Self {
        Self {
            id: db_user.user_id,
            email: db_user.email,
            admin: db_user.admin,
        }
    }
}
